@echo off
setlocal

set exedir=%cd%\..\bin
set compile=delphi
rem set compile=fpc

call :%compile% Lib\PkYubikey\uAnsiStrings.pas
call :%compile% Lib\Yubikey\libYubikey.pas
call :%compile% Lib\PkYubikey\uYubikey.pas
call :%compile% -dUSE_DLL authSSP.dpr
ren %exedir%\authSSP.dll authSSP.dll.useDLL
call :%compile% authSSP.dpr
copy %exedir%\authSSP.dll %exedir%\authSSP.dll.static

call clean.bat
goto konec

:delphi
dcc32 -dPEPAK -B -E%exedir% -N%cd%\Units -U%cd%\Units -Q %*
if errorlevel 1 pause
goto konec

:fpc
call fpc -dPEPAK -B -Mdelphi -FE%exedir% -Fu%cd%\Units -FU%cd%\Units
if errorlevel 1 pause
goto konec

:konec
